dots.v2.registries.post()

Generated on 18 Nov 2026 from DoTs version v1.25.0

Usage

client.v2.registries.post(body: Multiregistry_create, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | RegistriesPostResponse>

Description

To create your container registry, send a POST request to /v2/registries.

The name becomes part of the URL for images stored in the registry. For example, if your registry is called example, an image in it will have the URL registry.digitalocean.com/example/image:tag.

Parameters

name string required

Example: example

A globally unique name for the container registry. Must be lowercase and be composed only of numbers, letters and -, up to a limit of 63 characters.

Max length: 63

subscriptionTierSlug string optional

The slug of the subscription tier to sign up for. Valid values can be retrieved using the options endpoint.

One of: starter, basic, professional

region string optional

Slug of the region where registry data is stored. When not provided, a region will be selected.

One of: nyc3, sfo3, sfo2, ams3, sgp1, fra1, blr1, syd1

insights object or null optional

An object specifying the Insights telemetry that the customer opts in to for the container registry. This is only accepted when creating a registry and is not returned in responses. If the object is omitted, or if logs is not set, the registry is created with logs not enabled.

Show child properties
logs boolean optional

Example: true

A boolean value indicating whether the registry's logs are sent to Insights. Set this to true to send the registry's logs to Insights. false, and omitting insights or logs, both create the registry with logs not enabled.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.registries.post({
    name: "example",
    subscriptionTierSlug: "basic",
    region: "fra1",
    insights: {
        logs: true,
    },
});

Response Example

Show Response Example
{
  "registry": {
    "name": "example",
    "created_at": "2020-03-21T16:02:37Z",
    "region": "fra1",
    "storage_usage_bytes": 29393920,
    "storage_usage_bytes_updated_at": "2020-11-04T21:39:49.530562231Z"
  }
}

More Information

See /v2/registries in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.